﻿using System.Linq;

namespace ViewServices
{
    public class Configuration : IConfiguration
    {
        private static string GetItem(string key)
        {
            using (var domainModel = new DataAccess.DomainModel())
            {
                return domainModel.ConfigurationItems.Where(c => c.Id == key).Select(c => c.Value).FirstOrDefault();
            }
        }

        private static void SetItem(string key, string value)
        {
            using (var domainModel = new DataAccess.DomainModel())
            {
                var configurationItem = domainModel.ConfigurationItems.FirstOrDefault(c => c.Id == key);
                if (configurationItem == null)
                {
                    configurationItem = domainModel.ConfigurationItems.Create();
                    configurationItem.Id = key;
                }
                configurationItem.Value = value;
                domainModel.SaveChanges();
            }
        }

        public string ForumName
        {
            get { return GetItem("Name"); }
            set { SetItem("Name", value); }
        }

        public string ForumDescription
        {
            get { return GetItem("Description"); }
            set { SetItem("Description", value); }
        }
    }
}
